﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>Library</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <ApplicationIcon />
    <StartupObject />
    <Configurations>Debug;Release;Public;Release deofuscada</Configurations>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <SignAssembly>false</SignAssembly>
    <AssemblyOriginatorKeyFile>clave.pfx</AssemblyOriginatorKeyFile>
    <DelaySign>true</DelaySign>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Public|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <Optimize>true</Optimize>
    <GenerateSerializationAssemblies>Auto</GenerateSerializationAssemblies>
  </PropertyGroup>
  <ItemGroup>
    <Compile Remove="Packets\**" />
    <EmbeddedResource Remove="Packets\**" />
    <None Remove="Packets\**" />
  </ItemGroup>
  <ItemGroup>
    <Compile Remove="Network\Packets\Generated\bkpGeneratedPacketStructures.cs" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="DeviceId" Version="5.2.0" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="SharpPcap" Version="5.3.0" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Network\Packets\Implemented\OpRequest\" />
    <Folder Include="Network\Packets\Implemented\OpResponse\" />
  </ItemGroup>
  <ItemGroup>
    <Compile Update="Properties\Resources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <Target Name="PostBuild" AfterTargets="PostBuildEvent">
    <Exec Command="if &quot;$(ConfigurationName)&quot; == &quot;Release&quot; (&quot;C:\Users\Quebinazo\Desktop\aocradar\Z00bfuscator\Z00bfuscator\bin\Release\netcoreapp3.1\Z00bfuscator.exe&quot; &quot;C:\Users\Quebinazo\Desktop\aocradar\AOC\bin\Release\netcoreapp3.1\AOC.dll&quot;)&#xD;&#xA;" />
  </Target>
  <!--<Target Name="PostBuild" AfterTargets="PostBuildEvent">
    <Exec Command="C:\Users\Alberto\repos\Z00bfuscator\Z00bfuscator\bin\Release\netcoreapp3.1\Z00bfuscator.exe C:\Users\Alberto\repos\aocradar\AOC\bin\Release\netcoreapp3.1\AOC.dll" />
  </Target>-->
</Project>